package de.ozgcloud.bescheid.common.callcontext;

import org.mapstruct.Mapper;

import de.ozgcloud.apilib.user.OzgCloudUserId;
import de.ozgcloud.apilib.user.OzgCloudUserProfile;
import de.ozgcloud.bescheid.UserId;

@Mapper
public interface UserProfileMapper {

	UserProfile mapProfile(OzgCloudUserProfile userProfile);

	default UserId mapUserId(OzgCloudUserId id) {
		return UserId.from(id.toString());
	}
}
