package de.ozgcloud.bescheid.smartdocuments;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.boot.test.mock.mockito.MockBean;
import org.springframework.test.context.ActiveProfiles;

import de.ozgcloud.apilib.common.command.OzgCloudCommandService;
import de.ozgcloud.apilib.common.command.grpc.CommandMapper;
import de.ozgcloud.bescheid.BescheidRequestTestFactory;
import de.ozgcloud.bescheid.BescheidTestApplication;
import de.ozgcloud.bescheid.vorgang.VorgangTestFactory;
import de.ozgcloud.common.test.ITCase;

@Disabled
@SpringBootTest(classes = BescheidTestApplication.class)
@ITCase
@ActiveProfiles({ "itcase", "local" })
class SmartDocumentsBescheidRemoteServiceITCase {

	@Autowired
	private SmartDocumentsBescheidRemoteService remoteService;
	@MockBean
	private OzgCloudCommandService ozgCloudCommandService;
	@MockBean
	private CommandMapper commandMapper;

	@Test
	void createBescheid() {
		var bescheid = remoteService.create(BescheidRequestTestFactory.create(), VorgangTestFactory.create());

		System.out.println(bescheid.getBescheidFileName());
		System.out.println(bescheid.getBescheidFile().getAbsolutePath());
		assertThat(bescheid.getBescheidFileName()).isNotEmpty();
	}

}
