package de.ozgcloud.bescheid.vorgang;

import de.ozgcloud.bescheid.vorgang.Vorgang.PostfachAddress;
import de.ozgcloud.bescheid.vorgang.Vorgang.ServiceKonto;

public class ServiceKontoTestFactory {

	public static ServiceKonto create() {
		return createBuilder().build();
	}

	public static ServiceKonto.ServiceKontoBuilder createBuilder() {
		return ServiceKonto.builder()
				.postfachAddress(PostfachAddress.builder().build());
	}
}
