package de.ozgcloud.nachrichten.antragraum;

import de.ozgcloud.info.nachricht.GrpcNachricht;
import de.ozgcloud.nachrichten.info.InfoManagerRequestTestFactory;
import de.ozgcloud.nachrichten.postfach.PostfachNachrichtTestFactory;
import de.ozgcloud.nachrichten.postfach.osi.MessageTestFactory;

public class GrpcNachrichtTestFactory {

	public static GrpcNachricht create() {
		return createBuilder().build();
	}

	public static GrpcNachricht.Builder createBuilder() {
		return GrpcNachricht.newBuilder()
				.setNachrichtId(PostfachNachrichtTestFactory.ID)
				.setVorgangId(MessageTestFactory.VORGANG_ID)
				.setPostfachId(MessageTestFactory.POSTFACH_ID)
				.setNachrichtenListUrl(InfoManagerRequestTestFactory.NACHRICHTEN_MANAGER_URL);
	}
}
