package de.ozgcloud.nachrichten.postfach.bayernid;

import de.akdb.egov.bsp.nachrichten.AbsenderType;
import de.akdb.egov.bsp.nachrichten.EmpfaengerType;
import de.akdb.egov.bsp.nachrichten.IdentifikationNachrichtType;
import de.akdb.egov.bsp.nachrichten.NachrichtenKopfType;
import lombok.val;

public class NachrichtenKopfTypeTestFactory {
	public static final IdentifikationNachrichtType IDENTIFIKATION_NACHRICHT_TYPE = IdentifikationNachrichtTypeTestFactory.create();
	public static final AbsenderType ABSENDER_TYPE = AbsenderTypeTestFactory.create();
	public static final EmpfaengerType EMPFAENGER_TYPE = EmpfaengerTypeTestFactory.create();

	public static NachrichtenKopfType create() {
		val nachrichtenKopfType = new NachrichtenKopfType();
		nachrichtenKopfType.setIdentifikationNachricht(IDENTIFIKATION_NACHRICHT_TYPE);
		nachrichtenKopfType.setAbsender(ABSENDER_TYPE);
		nachrichtenKopfType.setEmpfaenger(EMPFAENGER_TYPE);
		return nachrichtenKopfType;
	}

}
