package de.ozgcloud.notification.vorgang;

import de.ozgcloud.notification.postfach.GrpcPostfachAddressTestFactory;
import de.ozgcloud.vorgang.vorgang.GrpcServiceKonto;

public class GrpcServiceKontoTestFactory {

	public final static String TYPE = "OSI";
	public final static String TRUST_LEVEL = "STORK-QAA-LEVEL-1";

	public static GrpcServiceKonto create() {
		return createBuilder().build();
	}

	public static GrpcServiceKonto.Builder createBuilder() {
		return GrpcServiceKonto.newBuilder()
				.setType(TYPE)
				.setTrustLevel(TRUST_LEVEL)
				.addPostfachAddresses(GrpcPostfachAddressTestFactory.create());
	}
}
