package de.ozgcloud.vorgang.statistic;

public enum StatisticGroupMethod {

	COUNT, EXISTS;

	public static StatisticGroupMethod from(GrpcVorgangStatisticQuery.GroupMethod groupMethod) {
		return switch (groupMethod) {
			case COUNT -> COUNT;
			case EXISTS -> EXISTS;
			case UNRECOGNIZED -> throw new VorgangStatisticBadRequestException("Unrecognized group method: " + groupMethod);
		};
	}
}
