package de.ozgcloud.bescheid.common.callcontext;

import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.bescheid.UserId;

public class UserProfileTestFactory {

	private static final LoremIpsum LOREM_IPSUM = LoremIpsum.getInstance();

	public static final UserId ID = UserId.from(UUID.randomUUID().toString());

	public static final String FIRST_NAME = LOREM_IPSUM.getFirstName();
	public static final String LAST_NAME = LOREM_IPSUM.getLastName();
	public static final String EMAIL = "test-email@local";

	public static UserProfile create() {
		return createBuilder().build();
	}

	public static UserProfile.UserProfileBuilder createBuilder() {
		return UserProfile.builder()
				.id(ID)
				.firstName(FIRST_NAME)
				.lastName(LAST_NAME)
				.email(EMAIL);
	}
}
