package de.ozgcloud.bescheid;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;

class GrpcBescheidItemMapperTest {

	private GrpcBescheidMapper mapper = Mappers.getMapper(GrpcBescheidMapper.class);

	@Nested
	class TestFromBescheid {

		@Test
		void shouldMapAllFields() {
			var result = mapper.fromBescheid(BescheidTestFactory.create());

			assertThat(result).usingRecursiveComparison().isEqualTo(GrpcBescheidTestFactory.create());
		}
	}

}
