package de.ozgcloud.notification.postfach;

import de.ozgcloud.vorgang.common.GrpcObject;
import de.ozgcloud.vorgang.common.GrpcProperty;
import de.ozgcloud.vorgang.vorgang.GrpcPostfachAddress;

public class GrpcPostfachAddressTestFactory {

	public static GrpcPostfachAddress create() {
		return createBuilder().build();
	}

	public static GrpcPostfachAddress.Builder createBuilder() {
		return GrpcPostfachAddress.newBuilder()
				.setType(PostfachAddressTestFactory.TYPE)
				.setIdentifier(createIdentifier())
				.setVersion(PostfachAddressTestFactory.VERSION);
	}
	public static GrpcObject createIdentifier() {
		return GrpcObject.newBuilder()
				.addProperty(GrpcProperty.newBuilder()
						.setName(StringBasedIdentifier.POSTFACH_ID_FIELD)
						.addValue(PostfachAddressTestFactory.STRING_BASED_IDENTIFIER_POSTFACH_ID_VALUE)
						.build())
				.build();
	}
}
