package de.ozgcloud.vorgang;

import org.springframework.context.annotation.Configuration;
import org.springframework.data.elasticsearch.repository.config.EnableElasticsearchRepositories;
import org.springframework.data.mongodb.repository.config.EnableMongoRepositories;

import io.mongock.runner.springboot.EnableMongock;

@Configuration
@EnableMongock
@EnableMongoRepositories(basePackages = { "de.ozgcloud.vorgang.vorgang", "de.ozgcloud.vorgang.attached_item", "de.ozgcloud.vorgang.command" })
@EnableElasticsearchRepositories(basePackages = "de.ozgcloud.vorgang.common.search")
public class VorgangManagerServerConfiguration {

}
